Subject: [bug#57774] [PATCH v2] Add qucs-s.

From: Garek Dyszel <[email-masked]>
Date: Fri, 16 Sep 2022 14:27:47 -0400

Hi (,

I applied your fixes, but in the process found that qucs-s had already been successfully added before by looking at the package definition for libngspice. This led to the following bug link: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27344#236.

It looks like support was later dropped because qucs-s still depended on Qt4 at the time, mentioned in this thread: https://lists.gnu.org/archive/html/guix-devel/2016-02/msg00596.html.

This suggested it would be a good idea to start from the commit where qucs and qucs-s were removed. Now I'm hacking those old package definitions to work with Qt6. qucs-s 0.0.24 still depends on qt5 (which is already out of date), and I don't want to have to update it right away when this Qt security issue comes up again this year.

I'll send an updated patch when that's done. Sorry for jumping around among existing package sources; I suppose how it worked out this time.

- Garek

At 07:26 2022-09-14 UTC+0100, "(" <[email-masked]> wrote:
> Hey,
>
> On Tue Sep 13, 2022 at 10:11 PM BST, Garek Dyszel wrote:
>> +           #:phases #~(modify-phases %standard-phases
>
> To conserve lots of horizontal space, consider moving the ``modify-phases''
> to a new line:
>
>> +           #:phases
>> +           #~(modify-phases %standard-phases
>
>> +                                (search-input-file inputs "/bin/ngspice")
>> +                                [...]
>> +                                (search-input-file inputs "/bin/octave")
>
> You can just do ``(search-input-file inputs "bin/octave")'', no need for the
> leading slash. Also, wouldn't you want to patch in the paths for Xyce,
> SpiceOpus, and Qucsator, too?
>
>> +    (synopsis "GUI for different circuit simulation kernels")
>
> s/different/various/, perhaps?
>
>> +
>> +@itemize
>> +@item Ngspice (recommended)
>> +@item Xyce
>> +@item SpiceOpus
>> +@item Qucsator (non-spice)
>> +@end itemize")
>> +    (home-page "https://ra3xdh.github.io/")
>> +    (license license:gpl2+)))
>> +
>>  (define-public freehdl
>>    (package
>>      (name "freehdl")
>> -- 
>> 2.37.2
>
>
>     -- (